Bug 98457 - ifenslave is incopatible with latest bonding module
ifenslave is incopatible with latest bonding module
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: iputils (Show other bugs)
3.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Phil Knirsch
Mike McLean
http://sourceforge.net/projects/bonding/
:
Depends On: 98461
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-02 12:40 EDT by Need Real Name
Modified: 2015-03-04 20:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-31 16:42:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-07-02 12:40:14 EDT
Description of problem:
Current bonding configuration tool binary supplied under /sbin/ifenslave is 
incompatible and cannot be used in conjunction with bonding module supplied 
under the /lib/modules directory.

Version-Release number of selected component (if applicable):
iputils-20020927-4

How reproducible:
Try to enslave when using one of the newer modes (4,5,6).

Steps to Reproduce:
1. insmod bonding mode=4
2. ifconfig bond0 <ip-addr>
3. ifenslave bond0 eth0
    
Actual results:
enslave operation fails and nn error message appears in the syslog:
"bonding : Error : to use IEEE 802.ad Dynamic link aggregation mode, you must 
upgrade ifenslave. "

Expected results:
enslave succeeds with no errors

Additional info:
A new /sbin/ifenslave binary should be built 
from /usr/src/linux/Documentation/networking/ifenslave.c 

Also, a new /usr/share/doc/iputils-20020927/README.bonding should be created 
from /usr/src/linux/Documentation/networking/bonding.txt
Comment 1 Phil Knirsch 2003-07-07 09:42:06 EDT
Next alpha/beta will contain an updated version of ifenslave.

Read ya, Phil
Comment 2 Larry Troan 2003-07-16 09:38:06 EDT
ISSUE TRACKER 25883 opened as sev 1.
Comment 3 Need Real Name 2003-07-17 06:15:04 EDT
Once bug #98461 is fixed, /sbin/ifenslave needs to be created again to preserve 
backward comaptibility with old bonding versions.
Comment 4 Larry Troan 2003-07-21 10:48:34 EDT
FROM ISSUE TRACKER....
Event posted 07-16-2003 11:55am by dalit.zukerman with duration of 0.00       
Please note that this issue depends on issue #25885 (Bugzilla #98461). Although
Bugzilla #98457 is marked as closed, once issue #25885 (Bugzilla #98461) is
fixed, a new version of /sbin/ifneslave would have to be created and only then
it can be closed.

Status set to: Waiting on Tech
Comment 5 Phil Knirsch 2003-07-31 16:42:45 EDT
Latest update from Jun 30 2003 added to iputils-20020927-8

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.